- Qt 5.5
- Qt Sensors
- C++ Classes
- QAltimeterReading
- Qt 5.5.1 Reference Documentation

# QAltimeterReading Class

The QAltimeterReading class holds readings from the altimeter sensor. More...

Header: | #include <QAltimeterReading>
qmake: | QT += sensors
Since: | Qt 5.1
Inherits: | QSensorReading

- List of all members, including inherited members

## Properties

- altitude : const qreal

- 1 property inherited from QSensorReading

## Public Functions

qreal | altitude() const
void | setAltitude(qreal altitude)

- 4 public functions inherited from QSensorReading

## Detailed Description

The QAltimeterReading class holds readings from the altimeter sensor.

The altitude is reported in meters relative to mean sea level.

On BlackBerry, the altimeter uses a combination of pressure and location to determine the altitude, as using pressure alone would yield to inaccurate results due to changes in air pressure caused by the weather. The location information is used to compensate for the weather. This requires that the user has enabled location services in the global settings.

## Property Documentation

### altitude : const qreal

This property holds the altitude in meters relative to mean sea level.

Access functions:

qreal | altitude() const

## Member Function Documentation

### void QAltimeterReading::setAltitude(qreal altitude)

Sets the altitude to altitude.

See also altitude().